(*^

::[paletteColors = 128; 
	fontset = title, "Times-Bold", 24, L2, center, bold, nohscroll;
	fontset = subtitle, "Times-Bold", 18, L2, center, bold, nohscroll;
	fontset = subsubtitle, "Times-Bold", 14, L2, center, bold, nohscroll;
	fontset = section, "Times-Bold", 18, L2, bold, nohscroll, grayBox;
	fontset = subsection, "Times-Bold", 14, L2, bold, nohscroll, blackBox;
	fontset = subsubsection, "Times-Bold", 12, L2, bold, nohscroll, whiteBox;
	fontset = text, "Times-Roman", 12, L2, nohscroll;
	fontset = smalltext, "Times-Roman", 10, L2, nohscroll;
	fontset = input, "Courier-Bold", 12, L2, bold, nowordwrap;
	fontset = output, "Courier", 12, L2, nowordwrap;
	fontset = message, "Courier", 12, L2, R21845, G21845, B21845, nowordwrap;
	fontset = print, "Courier", 12, L2, nowordwrap;
	fontset = info, "Courier", 12, L2, nowordwrap;
	fontset = postscript, "Courier", 12, L2, nowordwrap;
	fontset = name, "Times-Italic", 11, L2, italic, R21845, G21845, B21845, nowordwrap, nohscroll;
	fontset = header, "Times", 10, L2;
	fontset = footer, "Times", 12, L2, center;
	fontset = help, "Times-Roman", 14, L2, nohscroll;
	fontset = clipboard, "New York", 12, L2;
	fontset = completions, "Courier", 16, L2, nowordwrap;
	fontset = network, "Courier", 10, L2, nowordwrap;
	fontset = graphlabel, "Courier", 12, L2, nowordwrap;
	fontset = special1, "New York", 12, L2, nowordwrap;
	fontset = special2, "New York", 12, L2, center, nowordwrap;
	fontset = special3, "New York", 12, L2, right, nowordwrap;
	fontset = special4, "New York", 12, L2, nowordwrap;
	fontset = special5, "New York", 12, L2, nowordwrap;]
:[font = input; ]

:[font = title; inactive; ]
FrameMaker & Mathematica
:[font = text; inactive; ]
This document gives a short tutorial on using the sample definitions for transferring 
equations between FrameMaker & Mathematica. The definitions are not 
complete, but allow simple equations to be sent between FrameMaker and 
Mathematica. Users are encouraged to copy and complete the definitions.
Frame Technology makes no guarantees as to the quality of the definitions, and
does not support the definitions. The definitions were created by a rookie 
Mathematica user, and have not yet been reviewed by a proficient user. There may
be glaring inefficiencies. 
:[font = subsection; inactive; ]
This Tutorial assumes the files from the installation optical have been copied into directory /glc.
To load the output procedures, execute the line below. (Command-Return)
:[font = input; startGroup; ]
<</glc/frameout.m
:[font = output; inactive; output; endGroup; ]
"Done Loading FrameMaker Output Functions"
;[o]
Done Loading FrameMaker Output Functions
:[font = subsection; inactive; ]
Now you can move equations to FrameMaker by using the FrameForm Procedure.
For instance you can send the equation  x^2 + 3x + 1 to Frame just by executing
FrameForm[x^2 + 3x + 1]. You will see a FrameMaker document open with the equation as the only item in the document. Execute the line below.
:[font = input; startGroup; ]
FrameForm[x^2 + 3x + 1]
:[font = print; inactive; ]

:[font = output; inactive; output; endGroup; ]
0
;[o]
0
:[font = subsection; inactive; ]
Try the below example for a more interesting Equation.
:[font = input; startGroup; ]
FrameForm[Integrate[Sin[x]Tan[x],x]]
:[font = print; inactive; ]

:[font = output; inactive; output; endGroup; ]
0
;[o]
0
:[font = subsection; inactive; ]
You can also Move equations from FrameMaker to Mathematica. When you select an Equation in FrameMaker as an object and copy, an ascii representation of that object is copied to the NeXT Pasteboard. This representation is very close to Mathematica's FullForm. You can paste this equation from the PasteBoard and execute. Since Mathematica does nothing to functions it does not recognize this will produce very similiar results to the pasted equation. Now you can run a procedure to convert the equation into Mathematica input form. FrameConvert[] is the name of  the input conversion procudure.  To load the FrameConvert[] procedure execute the following line.
:[font = input; startGroup; ]
<</glc/framein.m
:[font = output; inactive; output; endGroup; ]
"Done Loading FrameMaker Input Functions"
;[o]
Done Loading FrameMaker Input Functions
:[font = subsection; inactive; ]
You will find a good sample equation in the Frame document called SampleEquation.frame in this directory. Open this document in Frame, and follow the instructions for copying the equation to the Pasteboard. Then paste and execute like below. 
:[font = input; startGroup; ]
function[optotal[char[x]],cos[id[plus[power[char[x],num[2,"2"]],power[char[y],num[3,"3"]]]]]]
:[font = output; inactive; output; endGroup; ]
function[optotal[char[x]], 
  Cos[id[char[x]^num[2, "2"] + char[y]^num[3, "3"]]]]
;[o]
function[optotal[char[x]], 
 
                num[2, 2]          num[3, 3]
  Cos[id[char[x]          + char[y]         ]]]
:[font = input; startGroup; ]
FrameConvert[%]
:[font = print; inactive; endGroup; ]
Derivative[1, x][Cos[x^2 + y^3]]
:[font = title; inactive; ]
Trouble Shooting and Creating New Definitions
:[font = text; inactive; ]
There are alot of  operators which are not mapped in both directions. If a definition is unmapped going from FrameMaker to Mathematica, you will see an see the 
operator show up as a function in Mathematica. If definitions are missing in the reverse direction you will see nothing in the opened FrameMaker file. To create new 
definitions you will need to know how the operators map.   To see Frame's ascii 
representation of an operator, create an equation with just the operator in question, 
select the equation as an object, and paste into Mathematica.  Most operators can be handled by simple mapping rules.  
^*)